# Uses of Class
javax.sound.midi.Sequencer.SyncMode

Packages that use Sequencer.SyncMode
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

- ## Uses of Sequencer.SyncMode in javax.sound.midi

  Fields in javax.sound.midi declared as Sequencer.SyncMode
  Modifier and Type
  Field
  Description
  `static final Sequencer.SyncMode`
  Sequencer.SyncMode.`INTERNAL_CLOCK`
  A master synchronization mode that makes the sequencer get its timing information from its internal clock.
  `static final Sequencer.SyncMode`
  Sequencer.SyncMode.`MIDI_SYNC`
  A master or slave synchronization mode that specifies the use of MIDI clock messages.
  `static final Sequencer.SyncMode`
  Sequencer.SyncMode.`MIDI_TIME_CODE`
  A master or slave synchronization mode that specifies the use of MIDI Time Code.
  `static final Sequencer.SyncMode`
  Sequencer.SyncMode.`NO_SYNC`
  A slave synchronization mode indicating that no timing information should be sent to the receiver.
  Methods in javax.sound.midi that return Sequencer.SyncMode
  Modifier and Type
  Method
  Description
  `Sequencer.SyncMode`
  Sequencer.`getMasterSyncMode()`
  Obtains the current master synchronization mode for this sequencer.
  `Sequencer.SyncMode[]`
  Sequencer.`getMasterSyncModes()`
  Obtains the set of master synchronization modes supported by this sequencer.
  `Sequencer.SyncMode`
  Sequencer.`getSlaveSyncMode()`
  Obtains the current slave synchronization mode for this sequencer.
  `Sequencer.SyncMode[]`
  Sequencer.`getSlaveSyncModes()`
  Obtains the set of slave synchronization modes supported by the sequencer.
  Methods in javax.sound.midi with parameters of type Sequencer.SyncMode
  Modifier and Type
  Method
  Description
  `void`
  Sequencer.`setMasterSyncMode(Sequencer.SyncMode sync)`
  Sets the source of timing information used by this sequencer.
  `void`
  Sequencer.`setSlaveSyncMode(Sequencer.SyncMode sync)`
  Sets the slave synchronization mode for the sequencer.